From 08efd6952c037049ab8991fad2c4499c7f55777b Mon Sep 17 00:00:00 2001
From: Upgrade Helper <uh@not.set>
Date: Sat, 1 Nov 2025 16:56:50 +0000
Subject: [PATCH] xserver-xorg: upgrade 21.1.18 -> 21.1.20

---
 .../xorg-xserver/xserver-xorg.inc             |  2 +-
 ...-duplicate-definitions-of-IOPortBase.patch |  2 +-
 ...-Intel-ddx-only-for-pre-gen4-hardwar.patch |  2 +-
 ...org_21.1.18.bb => xserver-xorg_21.1.20.bb} | 24 ++++++++++++++++++-
 4 files changed, 26 insertions(+), 4 deletions(-)
 rename meta/recipes-graphics/xorg-xserver/{xserver-xorg_21.1.18.bb => xserver-xorg_21.1.20.bb} (56%)

diff --git a/meta/recipes-graphics/xorg-xserver/xserver-xorg.inc b/meta/recipes-graphics/xorg-xserver/xserver-xorg.inc
index 0dece7bba3..e12b70d228 100644
--- a/meta/recipes-graphics/xorg-xserver/xserver-xorg.inc
+++ b/meta/recipes-graphics/xorg-xserver/xserver-xorg.inc
@@ -2,7 +2,7 @@ SUMMARY = "The X.Org X server"
 HOMEPAGE = "http://www.x.org"
 SECTION = "x11/base"
 LICENSE = "MIT"
-LIC_FILES_CHKSUM = "file://COPYING;md5=5df87950af51ac2c5822094553ea1880"
+LIC_FILES_CHKSUM = "file://COPYING;md5=21e33dcccf2d5034f798a8ea62622939"
 
 # xf86-*-* packages depend on an X server built with the xfree86 DDX
 # so we have a virtual to represent that:
diff --git a/meta/recipes-graphics/xorg-xserver/xserver-xorg/0001-Avoid-duplicate-definitions-of-IOPortBase.patch b/meta/recipes-graphics/xorg-xserver/xserver-xorg/0001-Avoid-duplicate-definitions-of-IOPortBase.patch
index e9cbc9b4da..0ea342dd3f 100644
--- a/meta/recipes-graphics/xorg-xserver/xserver-xorg/0001-Avoid-duplicate-definitions-of-IOPortBase.patch
+++ b/meta/recipes-graphics/xorg-xserver/xserver-xorg/0001-Avoid-duplicate-definitions-of-IOPortBase.patch
@@ -1,4 +1,4 @@
-From cedc797e1a0850039a25b7e387b342e54fffcc97 Mon Sep 17 00:00:00 2001
+From 42afc378df529ca0a5a3c65e0291d7ea80c45e2d Mon Sep 17 00:00:00 2001
 From: Khem Raj <raj.khem@gmail.com>
 Date: Mon, 17 Aug 2020 10:50:51 -0700
 Subject: [PATCH] Avoid duplicate definitions of IOPortBase
diff --git a/meta/recipes-graphics/xorg-xserver/xserver-xorg/0001-xf86pciBus.c-use-Intel-ddx-only-for-pre-gen4-hardwar.patch b/meta/recipes-graphics/xorg-xserver/xserver-xorg/0001-xf86pciBus.c-use-Intel-ddx-only-for-pre-gen4-hardwar.patch
index a196e50751..ea0ae8d4a9 100644
--- a/meta/recipes-graphics/xorg-xserver/xserver-xorg/0001-xf86pciBus.c-use-Intel-ddx-only-for-pre-gen4-hardwar.patch
+++ b/meta/recipes-graphics/xorg-xserver/xserver-xorg/0001-xf86pciBus.c-use-Intel-ddx-only-for-pre-gen4-hardwar.patch
@@ -1,4 +1,4 @@
-From ad8967de36e6e2a185b71ce1d701448cda4ef3e2 Mon Sep 17 00:00:00 2001
+From 8dc51b8a4de3fa1413595cb61de2e1c1f04c64d1 Mon Sep 17 00:00:00 2001
 From: California Sullivan <california.l.sullivan@intel.com>
 Date: Fri, 16 Mar 2018 17:23:11 -0700
 Subject: [PATCH] xf86pciBus.c: use Intel ddx only for pre-gen4 hardware
diff --git a/meta/recipes-graphics/xorg-xserver/xserver-xorg_21.1.18.bb b/meta/recipes-graphics/xorg-xserver/xserver-xorg_21.1.20.bb
similarity index 56%
rename from meta/recipes-graphics/xorg-xserver/xserver-xorg_21.1.18.bb
rename to meta/recipes-graphics/xorg-xserver/xserver-xorg_21.1.20.bb
index 3c8cb0173f..099b866561 100644
--- a/meta/recipes-graphics/xorg-xserver/xserver-xorg_21.1.18.bb
+++ b/meta/recipes-graphics/xorg-xserver/xserver-xorg_21.1.20.bb
@@ -1,9 +1,31 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- COPYING
+# +++ COPYING
+# @@ -16,7 +16,7 @@
+#  Copyright © 2006-2008 Peter Hutterer
+#  Copyright © 2006 Adam Jackson
+#  Copyright © 2009-2010 NVIDIA Corporation
+# -Copyright © 1987, 2003-2006, 2008-2010 Oracle and/or its affiliates.
+# +Copyright © 1987, 2003-2006, 2008-2010, 2025 Oracle and/or its affiliates.
+#  Copyright © 1999 Keith Packard
+#  Copyright © 2007-2009 Red Hat, Inc.
+#  Copyright © 2005-2008 Daniel Stone
+# 
+#
+
 require xserver-xorg.inc
 
 SRC_URI += "file://0001-xf86pciBus.c-use-Intel-ddx-only-for-pre-gen4-hardwar.patch \
            file://0001-Avoid-duplicate-definitions-of-IOPortBase.patch \
            "
-SRC_URI[sha256sum] = "c878d1930d87725d4a5bf498c24f4be8130d5b2646a9fd0f2994deff90116352"
+SRC_URI[sha256sum] = "7695bc61824b3a81b6bad2f78b05400ca015003de402d1b322117105b702e937"
 
 # These extensions are now integrated into the server, so declare the migration
 # path for in-place upgrades.
-- 
2.47.1

